#
# spec file for package awstats (Version 5.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         awstats
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Version:      5.6
Release:      69
PreReq:       %fillup_prereq
URL:          http://awstats.sourceforge.net
Summary:      Advanced Web Statistics
Source:       awstats-%{version}.tar.bz2
Source1:      sysconfig.apache-awstats
Source2:      module.awstats
Source3:      apache.awstats.conf
Source4:      cron.d.awstats
Source5:      awstats-update
Source6:      awstats-update.8
Source7:      awstats.logrotate
Source8:      apache2.awstats.conf
Patch:        %{name}-%{version}.dif
Patch2:       %{name}-20050811-secfix.dif
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define apache_serverroot /srv/www

%description
Advanced Web Statistics (AWStats) is a powerful web server log file
analyzer (Perl script) that shows web statistics including visitors,
pages, hits, hours, search engines, keywords used to find your site,
broken links, robots, and more.



%prep
%setup
%patch
%patch2

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/icons/awstats
install -d -m 755 $RPM_BUILD_ROOT/var/lib/awstats/lang
install -d -m 755 $RPM_BUILD_ROOT/var/cache/awstats
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd/modules
install -d -m 755 $RPM_BUILD_ROOT/etc/apache2
install -d -m 755 $RPM_BUILD_ROOT/etc/apache2/conf.d
install -d -m 755 $RPM_BUILD_ROOT/etc/awstats
install -d -m 755 $RPM_BUILD_ROOT/etc/cron.d
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/share/apache2/icons/awstats/
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man8
cp -a wwwroot/icon/* $RPM_BUILD_ROOT%{apache_serverroot}/icons/awstats/
cp -a wwwroot/icon/* $RPM_BUILD_ROOT/usr/share/apache2/icons/awstats/
cp -a wwwroot/cgi-bin/lang $RPM_BUILD_ROOT/var/lib/awstats/
cp -a wwwroot/cgi-bin/{lib,plugins} $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
cp -a wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
cp -a wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT/etc/awstats/awstats.conf
install -m 644 $RPM_SOURCE_DIR/apache.awstats.conf $RPM_BUILD_ROOT/etc/httpd/awstats.conf
install -m 644 $RPM_SOURCE_DIR/apache2.awstats.conf $RPM_BUILD_ROOT/etc/apache2/conf.d/awstats.conf
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/sysconfig.apache-awstats $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 $RPM_SOURCE_DIR/module.awstats $RPM_BUILD_ROOT/etc/httpd/modules/awstats
install -m 644 $RPM_SOURCE_DIR/cron.d.awstats $RPM_BUILD_ROOT/etc/cron.d/awstats
install -m 755 $RPM_SOURCE_DIR/awstats-update $RPM_BUILD_ROOT/usr/sbin
install -m 644 $RPM_SOURCE_DIR/awstats-update.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 $RPM_SOURCE_DIR/awstats.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/awstats

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_only -an apache}

%files
%defattr(-,root,root,755)
%doc README.TXT docs/* wwwroot/js wwwroot/css
%config(noreplace) /etc/logrotate.d/awstats
%dir /etc/apache2
%dir /etc/apache2/conf.d
%dir /etc/awstats
%attr(644,root,root) %config /etc/awstats/awstats.conf
%config /etc/httpd/awstats.conf
%config /etc/apache2/conf.d/awstats.conf
%config /etc/cron.d/awstats
/etc/httpd/modules/awstats
/usr/sbin/awstats-update
%doc %{_mandir}/man8/awstats-update.8.gz
%{apache_serverroot}/cgi-bin/awstats.pl
%{apache_serverroot}/cgi-bin/plugins
%{apache_serverroot}/cgi-bin/lib
%dir %{apache_serverroot}/icons
%{apache_serverroot}/icons/awstats
%dir /usr/share/apache2
%dir /usr/share/apache2/icons
/usr/share/apache2/icons/awstats
/var/lib/awstats
/var/cache/awstats
/var/adm/fillup-templates/sysconfig.apache-awstats

%changelog -n awstats
* Sun Aug 14 2005 - hmuelle@suse.de
- Applied security fix [Bug #103788]
  AWStats ShowInfoURL Remote Command Execution Vulnerability
* Tue Jul 01 2003 - kukuk@suse.de
- Update to version 5.6
* Fri Jun 20 2003 - ro@suse.de
- added apache2 to neededforbuild
- added directory to filelist
* Mon Mar 10 2003 - poeml@suse.de
- fix path to awstats.log in awstats.logrotate, and add the apache2
  logfile. Reload both servers but only if they run.
- the "modules" mechanism via /etc/apache2/modules/* and sysconfig
  variables is no longer in use with apache2. Instead, put awstats into
  conf.d for automatic inclusion and enclose the content in
  <IfDefine AWSTATS>. It can be activated via APACHE_SERVER_FLAGS
  in sysconfig.apache.
* Mon Feb 24 2003 - kukuk@suse.de
- Update to offical tar archive.
* Fri Feb 21 2003 - kukuk@suse.de
- Update to new snapshot (minor bug fixes)
* Fri Feb 14 2003 - kukuk@suse.de
- Update to new snapshot
* Wed Feb 05 2003 - kukuk@suse.de
- Update to new snapshot (autodetect start language)
* Tue Jan 28 2003 - kukuk@suse.de
- Update to new snapshot (small bug fixes)
* Fri Jan 17 2003 - kukuk@suse.de
- Update to new snapshot
- Use different sysconfig Variables for Apache 1.x and 2.x
* Thu Jan 09 2003 - kukuk@suse.de
- Enable DNS reverse lookup
- Enable tooltips
* Wed Jan 08 2003 - kukuk@suse.de
- Update to 5.4 beta
- Fix path to log files
* Sun Dec 15 2002 - kukuk@suse.de
- Add support for Apache2
- Fix icon path in default conf
* Sun Dec 15 2002 - kukuk@suse.de
- Update to version 5.2
* Thu Aug 15 2002 - kukuk@suse.de
- Add PreRequires
* Fri Aug 02 2002 - kukuk@suse.de
- Don't use apxs, it does not work with this package
- Fix new web root path in shell scripts
- Adjust default configuration
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Tue Jul 23 2002 - kukuk@suse.de
- Update to version 4.1
* Wed Mar 13 2002 - kukuk@suse.de
- Add /etc/awstats
* Thu Jan 17 2002 - ro@suse.de
- adapted for /etc/sysconfig/apache
* Wed Dec 12 2001 - kukuk@suse.de
- Add logrotate config file
* Fri Nov 02 2001 - kukuk@suse.de
- Add update script, manual page and cronjob
* Wed Oct 31 2001 - kukuk@suse.de
- Update to version 3.1
- Make package noarch
* Wed Aug 29 2001 - kukuk@suse.de
- Add apache config files
* Mon Aug 13 2001 - kukuk@suse.de
- Initial version
